{% extends "layout.html" %}

{% block banner %}
<div class="my-3">
  <div class="container py-3 text-center text-primary-emphasis bg-primary-subtle rounded-3">
    <h1>GitLab Webhooks</h1>
    <p class="lead">A webhook handler for performing actions on other systems in response to GitLab events.</p>
  </div>
</div>
{% endblock %}

{% block content %}
<div class="card-group mb-3 mx-3">
  <div class="card border-secondary">
    <h5 class="card-header">Info</h5>
    <ul class="list-group list-group-flush">
      {% for metric, epoch in last_seen.items() %}
      <li class="list-group-item">{{ metric }}: {{ epoch|format_time }} ({{ epoch|human_time }})</li>
      {% endfor %}
      <li class="list-group-item">startup: {{ boot_time|format_time }} ({{ boot_time|human_time }})</li>
      <li class="list-group-item"><a href="/metrics">Prometheus metrics</a></li>
    </ul>
  </div>
</div>
{% endblock %}
